.wp-block-columns{
    &.is-style-expand-hover{
        > .wp-block-column{
            transition-property: flex-grow;
            transition-duration: 0.4s;
            transition-timing-function: ease-in-out;

            &:hover{
                flex-grow: 1.4;

                .wp-block-image{
                    img{
                        filter: revert;
                        scale: 1;
                    }
                }
            }

            &:not(:hover) {
                .wp-block-button{
                    .wp-block-button__link{
                        background-color: transparent !important;
                        color: var(--wp--preset--color--white) !important;
                        outline: 1px solid var(--wp--preset--color--white);
                    }
                }
            }

            .wp-block-image{
                img{
                    filter: saturate(0) brightness(0) invert(1);
                    scale: 0.95;
                    transition-property: filter, scale;
                    transition-duration: 0.2s;
                    transition-timing-function: ease-in-out;
                }
            }

            .wp-block-button{
                .wp-block-button__link{
                    outline: 0;
                    transition-property: all;
                    transition-duration: 0.2s;
                    transition-timing-function: ease-in-out;
                }
            }
        }
    }

    &.is-style-reverse-mobile{
        @media (max-width: 781px) {
            flex-direction: column-reverse;
        }
    }
}